classification
Title: Revert Queue rename in 2.6
Type: behavior Stage:
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, georg.brandl
Priority: release blocker Keywords: patch

Created on 2008-05-20 04:34 by brett.cannon, last changed 2008-05-25 07:21 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
revert_queue.diff brett.cannon, 2008-05-25 01:36
Messages (4)
msg67095 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-20 04:34
The rename of Queue in 2.6 needs to be reverted with only a note in the 
docs to remain.
msg67315 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-25 01:13
r63104 moved the stud module from Lib to Lib/lib-old.

r63080 changed some docs and added a test for the rename.

r63077 changed imports.
msg67316 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-05-25 01:36
After performing a ``svn rename`` on Lib/queue.py to Lib/Queue.py the 
attached patch should revert all other changes related to the rename.

As per usual, I am on OS X so I can't do the case-sensitive rename. If 
someone could do the svn rename, apply the patch, and run regrtest that 
would be appreciated.
msg67323 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-05-25 07:21
Renamed and fixed references in r63599, r63600, r63603.
History
Date User Action Args
2008-05-26 00:20:17brett.cannonunlinkissue2775 dependencies
2008-05-25 07:21:12georg.brandlsetstatus: open -> closed
resolution: accepted
messages: + msg67323
nosy: + georg.brandl
2008-05-25 01:36:19brett.cannonsetkeywords: + patch
files: + revert_queue.diff
messages: + msg67316
2008-05-25 01:13:50brett.cannonsetmessages: + msg67315
2008-05-25 01:10:16brett.cannonsetmessages: - msg67277
2008-05-24 00:38:20brett.cannonsetmessages: + msg67277
2008-05-20 04:39:04brett.cannonlinkissue2775 dependencies
2008-05-20 04:34:08brett.cannoncreate